/* pic18f26k20-based light energy harvest module */

#define _SPI_LCD_c_


#pragma config OSC = INTIO7, FCMEN = OFF, IESO = OFF, PWRT = OFF, BOREN = OFF, WDT = OFF
#pragma config MCLRE = ON, PBADEN = OFF, STVREN = ON, LVP = OFF, XINST = OFF, DEBUG = ON

#include "project_config.h"

/* Strings	*/

const rom char *const rom hello = "Hello, World!";
const rom char *const rom second_line = "I made it!";

/* Function prototypes	*/
void prvBoard_init( void );


void main ( void )
{
	prvBoard_init();
	SPI_74HC595_init();		//initialize SPI to work with 74HC595
	LCD_init();
	LCD_send_string( hello );
	LCD_second_row();
	LCD_send_string( second_line );
	while(1);
}

void prvBoard_init( void )
{
	INTCONbits.GIEH = 0;	//disable interrupts
	
	TRISA 	= 0x00;
	LATA  	= 0x00;
	ADCON1	= 0x0f;
	PORTA = 0x00;

	TRISB = 0x00;
	LATB = 0x00;
	PORTB = 0x00;

	TRISC = 0x00;
	LATC = 0x00;
	PORTC = 0x00;
	
	TRISD = 0x00;
	LATD = 0x00;
	PORTD = 0x00;
	
	TRISE = 0x00;
	LATE = 0x00;
	PORTE = 0x00;
}